export default class Logger {
    static silentError(error: Error, ...message: any[]): string;
    static error(error: Error, ...message: any[]): string;
    static warn(...message: any[]): void;
    static info(...message: any[]): void;
    static debug(...message: any[]): void;
    static dev(...message: any[]): void;
    private static log;
    private constructor();
}
export declare enum LogLevel {
    ERROR = 0,
    WARN = 1,
    INFO = 2,
    DEBUG = 3,
    DEV = 4
}
export declare type LogLevelKeys = keyof typeof LogLevel;
