/// <reference types="node" />
import ApplicationComponent from "../ApplicationComponent";
import { Express, Router } from "express";
import { Server } from "http";
export default class ExpressAppComponent extends ApplicationComponent<void> {
    private readonly port;
    private server?;
    constructor(port: number);
    start(app: Express, router: Router): Promise<void>;
    stop(): Promise<void>;
    getServer(): Server;
}
