import ApplicationComponent from "../ApplicationComponent";
import RedisComponent from "./RedisComponent";
import { Express, Router } from "express";
export default class SessionComponent extends ApplicationComponent<void> {
    private readonly storeComponent;
    constructor(storeComponent: RedisComponent);
    start(app: Express, router: Router): Promise<void>;
    stop(): Promise<void>;
}
