import WebSocket from "ws";
import {IncomingMessage} from "http";

export default abstract class WebSocketListener {
    public abstract path(): string;

    public abstract async handle(socket: WebSocket, request: IncomingMessage, session: Express.SessionData): Promise<void>;
}