import {Environment} from "nunjucks";
import Model from "../db/Model";

declare module 'express-serve-static-core' {
    export interface Request {
        env: Environment;
        models: { [p: string]: Model | null };
        modelCollections: { [p: string]: Model[] | null };

        flash(): { [key: string]: string[] };

        flash(message: string): any;

        flash(event: string, message: any): any;
    }

    export interface Response {
        redirectBack(defaultUrl?: string): any;
    }
}