import Model from "./db/Model";
export default class Pagination<T extends Model> {
    private readonly models;
    readonly page: number;
    readonly perPage: number;
    readonly totalCount: number;
    constructor(models: T[], page: number, perPage: number, totalCount: number);
    hasPrevious(): boolean;
    hasNext(): boolean;
}
