/// <reference types="node" />
/// <reference types="express-session" />
import WebSocket from "ws";
import { IncomingMessage } from "http";
export default abstract class WebSocketListener {
    abstract path(): string;
    abstract handle(socket: WebSocket, request: IncomingMessage, session: Express.SessionData): Promise<void>;
}
