import ApplicationComponent from "../ApplicationComponent";
import { Express, Router } from "express";
import Application from "../Application";
export default class MaintenanceComponent extends ApplicationComponent<void> {
    private readonly application;
    private readonly canServe;
    constructor(application: Application, canServe: () => boolean);
    start(app: Express, router: Router): Promise<void>;
    stop(): Promise<void>;
}
