import ApplicationComponent from "../ApplicationComponent";
import { Express, Router } from "express";
import ExpressAppComponent from "./ExpressAppComponent";
import Application from "../Application";
import RedisComponent from "./RedisComponent";
export default class WebSocketServerComponent extends ApplicationComponent<void> {
    private readonly application;
    private readonly expressAppComponent;
    private readonly storeComponent;
    private wss?;
    constructor(application: Application, expressAppComponent: ExpressAppComponent, storeComponent: RedisComponent);
    start(app: Express, router: Router): Promise<void>;
    stop(): Promise<void>;
}
