export default abstract class Migration {
    readonly version: number;
    constructor(version: number);
    shouldRun(currentVersion: number): Promise<boolean>;
    abstract install(): Promise<void>;
    abstract rollback(): Promise<void>;
}
