/// <reference types="node" />
import Model from "../db/Model";
import { LogLevelKeys } from "../Logger";
export default class Log extends Model {
    private level?;
    message?: string;
    private log_id?;
    private error_name?;
    private error_message?;
    private error_stack?;
    private created_at?;
    protected defineProperties(): void;
    getLevel(): LogLevelKeys;
    setLevel(level: LogLevelKeys): void;
    getLogID(): string | null;
    setLogID(buffer: Buffer): void;
    getErrorName(): string;
    getErrorMessage(): string;
    getErrorStack(): string;
    setError(error?: Error): void;
}
